FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora User

 
 
LinkBack Thread Tools
 
Old 12-24-2007, 01:39 PM
"Dean S. Messing"
 
Default What's the cause of these dependency errors?

With the discussion about FC6 being dead, I thought I'd do a last yum
update of my beloved FC6 laptop. (The last one was 6th December.)
For some reason new versions of the 3 packages

kdenetwork-extras
kdebase-extras
kdeutils-extras

are not being pulled in and yet packages they are dependent on

kdenetwork
kdebase
kdeutils

are getting replaced with later versions.
This appears to cause the dependency errors.

In addition, the package "kde-settings-kdm" (which I have on the
machine) now appears to need package "kdebase-kdm" (which I don't
have). But `yum install kdebase-kdm' returns "Nothing to do".

I've included a transcript of the yum update for your inspection.
What's the fix? Am I missing a repo?

Thanks.
Dean



[root@axon ~]# yum clean all
Cleaning up Everything
[root@axon ~]# yum update
Setting up Update Process
Setting up repositories
kde 100% |=========================| 1.1 kB 00:00
kde-testing 100% |=========================| 951 B 00:00
livna 100% |=========================| 2.1 kB 00:00
kde-all 100% |=========================| 951 B 00:00
flash 100% |=========================| 1.9 kB 00:00
kde-testing-all 100% |=========================| 951 B 00:00
adobe-linux-i386 100% |=========================| 951 B 00:00
jpackage-fedora 100% |=========================| 951 B 00:00
updates 100% |=========================| 1.2 kB 00:00
core 100% |=========================| 1.1 kB 00:00
jpackage-generic 100% |=========================| 951 B 00:00
extras 100% |=========================| 1.1 kB 00:00
Reading repository metadata in from local files
primary.xml.gz 100% |=========================| 19 kB 00:00
kde : ################################################## 36/36
primary.xml.gz 100% |=========================| 2.9 kB 00:00
kde-testin: ################################################## 6/6
primary.xml.gz 100% |=========================| 66 kB 00:00
livna : ################################################## 222/222
primary.xml.gz 100% |=========================| 105 kB 00:00
kde-all : ################################################## 436/436
primary.xml.gz 100% |=========================| 1.4 kB 00:00
flash : ################################################## 4/4
primary.xml.gz 100% |=========================| 8.6 kB 00:00
kde-testin: ################################################## 22/22
primary.xml.gz 100% |=========================| 1.3 kB 00:00
adobe-linu: ################################################## 2/2
primary.xml.gz 100% |=========================| 3.0 kB 00:00
jpackage-f: ################################################## 12/12
primary.xml.gz 100% |=========================| 475 kB 00:00
updates : ################################################## 1285/1285
primary.xml.gz 100% |=========================| 824 kB 00:01
core : ################################################## 2242/2242
primary.xml.gz 100% |=========================| 534 kB 00:02
jpackage-g: ################################################## 2277/2277
primary.xml.gz 100% |=========================| 1.7 MB 00:02
extras : ################################################## 5211/5211
Excluding Packages in global exclude list
Finished
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for kdemultimedia to pack into transaction set.
kdemultimedia-3.5.8-1.fc6 100% |=========================| 151 kB 00:00
---> Package kdemultimedia.i386 6:3.5.8-1.fc6 set to be updated
---> Downloading header for kdetoys to pack into transaction set.
kdetoys-3.5.8-1.fc6.i386. 100% |=========================| 78 kB 00:00
---> Package kdetoys.i386 7:3.5.8-1.fc6 set to be updated
---> Downloading header for kdeadmin to pack into transaction set.
kdeadmin-3.5.8-1.fc6.i386 100% |=========================| 35 kB 00:00
---> Package kdeadmin.i386 7:3.5.8-1.fc6 set to be updated
---> Downloading header for kdeartwork-extras to pack into transaction set.
kdeartwork-extras-3.5.8-1 100% |=========================| 31 kB 00:00
---> Package kdeartwork-extras.i386 0:3.5.8-1.fc6 set to be updated
---> Downloading header for kdegraphics to pack into transaction set.
kdegraphics-3.5.8-1.fc6.i 100% |=========================| 105 kB 00:00
---> Package kdegraphics.i386 7:3.5.8-1.fc6 set to be updated
---> Downloading header for kdegraphics-extras to pack into transaction set.
kdegraphics-extras-3.5.8- 100% |=========================| 61 kB 00:00
---> Package kdegraphics-extras.i386 0:3.5.8-1.fc6 set to be updated
---> Downloading header for kdelibs to pack into transaction set.
kdelibs-3.5.8-1.fc6.i386. 100% |=========================| 593 kB 00:01
---> Package kdelibs.i386 6:3.5.8-1.fc6 set to be updated
---> Downloading header for kde-i18n-Chinese-Big5 to pack into transaction set.
kde-i18n-Chinese-Big5-3.5 100% |=========================| 74 kB 00:00
---> Package kde-i18n-Chinese-Big5.noarch 1:3.5.8-1.fc6 set to be updated
---> Downloading header for kdeartwork to pack into transaction set.
kdeartwork-3.5.8-1.fc6.i3 100% |=========================| 68 kB 00:00
---> Package kdeartwork.i386 0:3.5.8-1.fc6 set to be updated
---> Downloading header for arts to pack into transaction set.
arts-1.5.8-1.fc6.i386.rpm 100% |=========================| 23 kB 00:00
---> Package arts.i386 8:1.5.8-1.fc6 set to be updated
---> Downloading header for kdeaccessibility to pack into transaction set.
kdeaccessibility-3.5.8-1. 100% |=========================| 329 kB 00:00
---> Package kdeaccessibility.i386 1:3.5.8-1.fc6 set to be updated
---> Downloading header for kdeartwork-kxs to pack into transaction set.
kdeartwork-kxs-3.5.8-1.fc 100% |=========================| 9.9 kB 00:00
---> Package kdeartwork-kxs.i386 0:3.5.8-1.fc6 set to be updated
---> Downloading header for kdepim to pack into transaction set.
kdepim-3.5.8-1.fc6.2.i386 100% |=========================| 274 kB 00:00
---> Package kdepim.i386 6:3.5.8-1.fc6.2 set to be updated
---> Downloading header for kdeartwork-icons to pack into transaction set.
kdeartwork-icons-3.5.8-1. 100% |=========================| 793 kB 00:01
---> Package kdeartwork-icons.i386 0:3.5.8-1.fc6 set to be updated
---> Downloading header for kdegames to pack into transaction set.
kdegames-3.5.8-1.fc6.i386 100% |=========================| 288 kB 00:00
---> Package kdegames.i386 6:3.5.8-1.fc6 set to be updated
---> Downloading header for kdebase to pack into transaction set.
kdebase-3.5.8-1.fc6.i386. 100% |=========================| 552 kB 00:00
---> Package kdebase.i386 6:3.5.8-1.fc6 set to be updated
---> Downloading header for kdeedu to pack into transaction set.
kdeedu-3.5.8-1.fc6.i386.r 100% |=========================| 287 kB 00:00
---> Package kdeedu.i386 0:3.5.8-1.fc6 set to be updated
---> Downloading header for kdenetwork to pack into transaction set.
kdenetwork-3.5.8-1.fc6.i3 100% |=========================| 234 kB 00:00
---> Package kdenetwork.i386 7:3.5.8-1.fc6 set to be updated
---> Downloading header for xorg-x11-xfs to pack into transaction set.
xorg-x11-xfs-1.0.5-1.fc6. 100% |=========================| 12 kB 00:00
---> Package xorg-x11-xfs.i386 1:1.0.5-1.fc6 set to be updated
---> Downloading header for kdeutils to pack into transaction set.
kdeutils-3.5.8-1.fc6.i386 100% |=========================| 87 kB 00:00
---> Package kdeutils.i386 6:3.5.8-1.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: kdenetwork = 7:3.5.7-1.fc6 for package: kdenetwork-extras
--> Processing Dependency: kdebase = 6:3.5.7-6.fc6 for package: kdebase-extras
--> Processing Dependency: kdebase-kdm >= 3.5 for package: kde-settings-kdm
--> Processing Dependency: kdeutils = 6:3.5.7-3.fc6 for package: kdeutils-extras
--> Finished Dependency Resolution
Error: Missing Dependency: kdenetwork = 7:3.5.7-1.fc6 is needed by package kdenetwork-extras
Error: Missing Dependency: kdebase = 6:3.5.7-6.fc6 is needed by package kdebase-extras
Error: Missing Dependency: kdebase-kdm >= 3.5 is needed by package kde-settings-kdm
Error: Missing Dependency: kdeutils = 6:3.5.7-3.fc6 is needed by package kdeutils-extras

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-26-2007, 11:49 AM
Rex Dieter
 
Default What's the cause of these dependency errors?

On Mon, 2007-12-24 at 06:39 -0800, Dean S. Messing wrote:
> With the discussion about FC6 being dead, I thought I'd do a last yum
> update of my beloved FC6 laptop. (The last one was 6th December.)
> For some reason new versions of the 3 packages
>
> kdenetwork-extras
> kdebase-extras
> kdeutils-extras

Dean,
these 3 were never part of Fedora Core 6 or Extras. Were you using the
kde-redhat repo? If so, that's likely it. We (kde-redhat) never updated
FC6 pkgs after kde-3.5.7.

Quick-n-dirty fix:
yum remove kdenetwork-extras kdebase-extras kdeutils-extras

and then the usual update procedure should continue more smoothly.

-- Rex

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-26-2007, 05:42 PM
Rick Stevens
 
Default What's the cause of these dependency errors?

On Mon, 2007-12-24 at 06:39 -0800, Dean S. Messing wrote:
> With the discussion about FC6 being dead, I thought I'd do a last yum
> update of my beloved FC6 laptop. (The last one was 6th December.)
> For some reason new versions of the 3 packages
>
> kdenetwork-extras
> kdebase-extras
> kdeutils-extras
>
> are not being pulled in and yet packages they are dependent on
>
> kdenetwork
> kdebase
> kdeutils
>
> are getting replaced with later versions.
> This appears to cause the dependency errors.
>
> In addition, the package "kde-settings-kdm" (which I have on the
> machine) now appears to need package "kdebase-kdm" (which I don't
> have). But `yum install kdebase-kdm' returns "Nothing to do".
>
> I've included a transcript of the yum update for your inspection.
> What's the fix? Am I missing a repo?

Dunno, but the kde*-extras packages want older versions of their related
RPMs. Note, for example:

Package kdenetwork.i386 7:3.5.8-1.fc6 set to be updated

But later in the display:

kdenetwork = 7:3.5.7-1.fc6 is needed by package kdenetwork-extras

So kdenetwork-extras wants kdenetwork 3.5.7-1, but you're set to update
to kdenetwork 3.5.8-1. This sounds like the -extras stuff themselves
hasn't been updated or their dependencies haven't been.

----------------------------------------------------------------------
- Rick Stevens, Principal Engineer rstevens@internap.com -
- CDN Systems, Internap, Inc. http://www.internap.com -
- -
- What's small, yellow and very, VERY dangerous? The root canary! -
----------------------------------------------------------------------

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-26-2007, 09:32 PM
Rex Dieter
 
Default What's the cause of these dependency errors?

Dean S. Messing wrote:

> Are the contents of these "-extras" packages integrated in the
> kdenetwork, kdebase, and kdeutils base packages in FC6 updates?

For the most part, yes.

-- Rex


--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-27-2007, 02:42 AM
"Dean S. Messing"
 
Default What's the cause of these dependency errors?

Rex Dieter wrote:
: On Mon, 2007-12-24 at 06:39 -0800, Dean S. Messing wrote:
: > With the discussion about FC6 being dead, I thought I'd do a last yum
: > update of my beloved FC6 laptop. (The last one was 6th December.)
: > For some reason new versions of the 3 packages
: >
: > kdenetwork-extras
: > kdebase-extras
: > kdeutils-extras
:
: Dean,
: these 3 were never part of Fedora Core 6 or Extras. Were you using the
: kde-redhat repo? If so, that's likely it. We (kde-redhat) never updated
: FC6 pkgs after kde-3.5.7.
:
: Quick-n-dirty fix:
: yum remove kdenetwork-extras kdebase-extras kdeutils-extras
:
: and then the usual update procedure should continue more smoothly.

Thanks Rex.

I am, indeed, using the kde-redhat repo. I seem to remember that I
needed these "-extras" packages because some of my laptop panel
apps/applets were contained in them. I don't rightly remember which
ones (the battery applet comes to mind) but I know some of them
disappeared when I switched over to the kde-redhat repo until I found
out it/they were contained in one or more of the "-extras" packages.

Are the contents of these "-extras" packages integrated in the
kdenetwork, kdebase, and kdeutils base packages in FC6 updates?

Thanks for your help!

Dean

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-27-2007, 03:54 AM
"Dean S. Messing"
 
Default What's the cause of these dependency errors?

: > Are the contents of these "-extras" packages integrated in the
: > kdenetwork, kdebase, and kdeutils base packages in FC6 updates?
:
: For the most part, yes.

Ok.

I'll give your suggestion a whirl and report back here if I run into
problems.

Thanks, Rex (for this and the rest of your work on KDE).

Dean

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 

Thread Tools




All times are GMT. The time now is 02:12 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org